Account Events Webhook

Galileo POSTs to /AccountEvent to send Account Events to the client. An Account Event is triggered when an event occurs on an account (card activated, updated profile, card shipped, etc.).

Requests

The event data (described in the index pages that follow) will be in the body of the request, as JSON or form data.

JSON example (application/json)

{
  "type": "card_shipped",
  "account_id": "2011",
  "balance": "500.00",
  "cad": "12534",
  "pmt_ref_no": "155200002022",
  "prod_id": "1701",
  "prog_id": "305",
  "timestamp": "2025-10-09 11:20:33 MST",
  "msg_event_id": "1234567891"
}

Form example (application/x-www-form-urlencoded)

type=card_shipped&prod_id=1619&prog_id=255&pmt_ref_no=199999999998&open_to_buy=4.05&timestamp=2025-10-09+11%3A20%3A33+MST

Responses

Valid values for success_code.

ValueDescriptionRetransmit
0SuccessNo
1Parameters do not pass validation (parsing error)No
2Cardholder account not in systemNo
3General system failureNo
4Authentication failedNo
5Not ready to accept messagesYes

JSON response example

{
  "success_code": "0"
}

XML responses should use the webhook name (AccountEvent) as the envelope.

XML example

<AccountEvent><success_code>0</success_code></AccountEvent>
Headers
uuid
required

A unique identifier for the HTTP request.

string
enum
required
Defaults to HMAC-SHA256

Signature algorithm. For now, always "HMAC-SHA256".

Allowed:
string
enum
required
Defaults to galileo

Identifies request as coming from Galileo. Hard-coded to "galileo".

Allowed:
string
required

UTC timestamp when request is sent. Format: "<timestamp><timezone>" where timestamp = YYYYMMDD:HHMMSS and timezone = UTC. Example: 20170504:141752UTC.

string
required

Signature of request. See overview for more details.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
LoadingLoading…
Response
Choose an example:
application/json
application/xml

© Galileo Financial Technologies, LLC 2026    Privacy Disclosure

All documentation, including but not limited to text, graphics, images, and any other content, are the exclusive property of Galileo Financial Technologies, LLC and are protected by copyright laws. These materials may not be reproduced, distributed, transmitted, displayed, or otherwise used without the prior written permission of Galileo Financial Technologies, LLC. Any unauthorized use or reproduction of these materials are expressly prohibited.